get/accounts/{accountResourceId}/transactions
Retrieval of an account transaction set (AISP)
Scope OAuth2 : aisp
Description
This call returns transactions for an account for a given PSU account that is specified by the AISP through an account resource identification. The request may use some filter parameter in order to restrict the query
- on a given imputation date range
- past a given incremental technical identification The result may be subject to pagination (i.e. retrieving a partial result in case of having too many results) through a set of pages by the ASPSP. Thereafter, the AISP may ask for the first, next, previous or last page of results.
Prerequisites
- The TPP was registered by the Registration Authority for the AISP role
- The TPP and the PSU have a contract that was enrolled by the ASPSP
- At this step, the ASPSP has delivered an OAUTH2 "Authorization Code" or "Resource Owner Password" access token to the TPP (cf. paragraph 3.4.2).
- The TPP and the ASPSP have successfully processed a mutual check and authentication
- The TPP has presented its OAUTH2 "Authorization Code" or "Resource Owner Password" access token which allows the ASPSP to identify the relevant PSU and retrieve the linked PSU context (cf. paragraph 3.4.2) is any.
- The ASPSP takes into account the access token that establishes the link between the PSU and the AISP.
- The TPP has previously retrieved the list of available accounts for the PSU
Business flow
The AISP requests the ASPSP on one of the PSU's accounts. It may specify some selection criteria. The ASPSP answers by a set of transactions that matches the query.
- The result may be subject to pagination in order to avoid an excessive result set.
- Case of no registered transaction on the account, this result will be an empty list. The default transaction set, in the absence of filter query parameter, has to be specified and documented by the implementation. The sort order of transaction might be specific to each ASPSP, due to each Information System constraints.
Paramètres (24)
- Authorizationheaderstringobligatoire
Access token to be passed as a header
- accountResourceIdpathstringobligatoire
Identification of account resource to fetch
Contraintes : pattern: ^([a-zA-Z0-9_ /\-?:\()\.,']{1,100})$
- dateFromquerystring
Inclusive minimal imputation date of the transactions.
Transactions having an imputation date equal to this parameter are included within the result.
- dateToquerystring
Exclusive maximal imputation date of the transactions.
Transactions having an imputation date equal to this parameter are not included within the result.
- dateTypequerystring
This parameter specifies the type of date on which [dateFrom] and [dateTo] apply. If not provided, the ASPSP will use its own default date type as specified in its implementation documentation. The implementation documentation must also specify which date types are supported.
Valeurs :
transactionDatebookingDate - entryReferenceFromquerystring
Specifies the value on which the result has to be computed.
Only the transaction having a technical identification greater than this value must be included within the result
Contraintes : maxLength: 40
- entryReferencetoquerystring
Specifies the value on which the result has to be computed.
Only the transaction having a technical identification less than or equal to this value must be included within the result
Contraintes : maxLength: 40
- PSU-IP-Addressheaderstring
IP address used by the PSU's terminal when connecting to the TPP
- PSU-IP-Portheaderstring
IP port used by the PSU's terminal when connecting to the TPP
- PSU-HTTP-Methodheaderstring
Http method for the most relevant PSU's terminal request to the TTP
- PSU-Dateheaderstring
Timestamp of the most relevant PSU's terminal request to the TTP
- PSU-GEO-Locationheaderstring
Geographical location of the PSU as provided by the PSU mobile terminal if any to the TPP
- PSU-User-Agentheaderstring
"User-Agent" header field sent by the PSU terminal when connecting to the TPP
- PSU-Refererheaderstring
"Referer" header field sent by the PSU terminal when connecting to the TPP. Notice that an initial typo in RFC 1945 specifies that "referer" (incorrect spelling) is to be used. The correct spelling "referrer" can be used but might not be understood.
- PSU-Acceptheaderstring
"Accept" header field sent by the PSU terminal when connecting to the TPP
- PSU-Accept-Charsetheaderstring
"Accept-Charset" header field sent by the PSU terminal when connecting to the TPP
- PSU-Accept-Encodingheaderstring
"Accept-Encoding" header field sent by the PSU terminal when connecting to the TPP
- PSU-Accept-Languageheaderstring
"Accept-Language" header field sent by the PSU terminal when connecting to the TPP
- PSU-Device-IDheaderstring
UUID (Universally Unique Identifier) for a device, which is used by the PSU, if available. UUID identifies either a device or a device dependant application installation. In case of installation identification this ID need to be unaltered until removal from device.
- Digestheaderstring
Digest of the body
- Signatureheaderstring
http-signature of the request The keyId must specify the way to get the relevant qualified certificate. It is requested that this identifier is an URL aiming to provide the relevant Qualified Certificate.
- X-Request-IDheaderstringobligatoire
Correlation header to be set in a request and retrieved in the relevant response
Contraintes : maxLength: 70
- workspacequerystring
Workspace to be used for processing an AISP request. If not provided, the default workspace is computed from the authentication that was used for getting the OAuth2 Access Token.
Contraintes : maxLength: 32
- X-JWS-Signatureheaderstring
Réponses
200
Complete transactions response
HalTransactions
HYPERMEDIA structure used for returning the list of the transactions for a given account to the AISP
Champs (2)
- transactionsarray<TransactionResource>obligatoire
List of transactions
Élément : TransactionResource
ISO20022: Structure of a transaction.
- the [charges] property provides information on the charges, pre-advised or included in the entry amount.
- the [relatedParties] property specifies either the debtor or the creditor counterpart information API:
- Amounts must always be set as positive values in complement with the Credit/Debit indicator.
- At least expectedBookingDate or bookingDate must be provided"
- resourceIdResourceId
API: Identifier assigned by the ASPSP for further use of the created resource through API calls.
Schéma : ResourceId
API: Identifier assigned by the ASPSP for further use of the created resource through API calls. The API client cannot set or modify the value of this field. Since this value can be exchanged between the server and the client as an URL element or for support information, it must not contain sensitive value such as personal or business data. However it is the duty of each ASPSP to perform its own risk analysis on this topic.
Type : string
Contraintes : pattern: `^([a-zA-Z0-9_ /\-?:\()\.,']{1,100})$`
- entryReferencestring
Technical incremental identification of the transaction used for reconciliation by the AISP.
Technical incremental identification of the transaction used for reconciliation by the AISP. Once assigned, this value cannot be changed for the relevant transaction. It is assumed that this value is unique and thus cannot be shared by several transactions.
The reconciliation of transactions can be done by the [resourceId] or the [entryReference] field. If none of these fields cannot be provided, it is therefore suggested that the [remittanceInformation] field, once set, should not be updated afterwards. Actually the [additionalTransactionInformation] field can be used to update the details of a given transaction.
Contraintes : maxLength: 40
- transactionAmountAmountTypeobligatoire
Structure aiming to embed the amount and the currency to be used.
Schéma : AmountType
Structure aiming to embed the amount and the currency to be used.
- amountnumber (float)obligatoire
ISO20022: Amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party.
ISO20022: Amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party.
Contraintes : pattern: `^\-{0,1}[0-9]{1,13}(\.[0-9]{0,5}){0,1}$`
Specifies the currency of the amount or of the account.
Schéma : CurrencyCode
Specifies the currency of the amount or of the account. A code allocated to a currency by a Maintenance Agency under an international identification scheme, as described in the latest edition of the international standard ISO 4217 "Codes for the representation of currencies and funds".
Type : string
Contraintes : pattern: `^[A-Z]{3,3}$`
- creditDebitIndicatorCreditDebitIndicatorobligatoire
Accounting flow of the amount
Schéma : CreditDebitIndicator
Code Description CRDTCredit type amount DBITDebit type amount - transactionAmountDetailsAmountAndCurrencyExchange
Provides detailed information on the original amount.
Schéma : AmountAndCurrencyExchange
Provides detailed information on the original amount. The [instructedAmount] property identifies the amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party and provides currency exchange information in case the instructed amount and/or currency is/are different from the entry amount and/or currency. The [transactionAmount] property identifies the amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party and provides currency exchange information in case the instructed amount and/or currency is/are different from the entry amount and/or currency. The [cunterValueAmount] property embbeds the set of elements used to provide the countervalue amount and currency exchange information.
- This can be either the counter amount quoted in an FX deal, or the result of the currency information applied to an instructed amount, before deduction of charges. The [announcedPostingAmount] property specifies the amount of money, based on terms of corporate action event and balance of underlying securities, entitled to/from the account owner.
- In some situations, this amount may alternatively be called entitled amount.
- instructedAmountAmountAndCurrencyExchangeDetails
ISO20022: details on amount and currency exchange
Schéma : AmountAndCurrencyExchangeDetails
ISO20022: details on amount and currency exchange The [amount] property is the amount of money to be exchanged against another amount of money in the counter currency. The [sourceCurency] property indicates the currency from which an amount is to be converted in a currency conversion. The [targetCurrency] property indicates the currency into which an amount is to be converted in a currency conversion. The [unitCurrency] indicates the currency in which the rate of exchange is expressed in a currency exchange. In the example 1GBP = xxxCUR, the unit currency is GBP. API: Amounts must always be set as positive values.
- typestring
specifies the type of amount in case of proprietary amount
Contraintes : maxLength: 35
- amountAmountTypeobligatoire
Structure aiming to embed the amount and the currency to be used.
Schéma : AmountType
Champs détaillés plus haut : responses.200.transactions.transactionAmount
- sourceCurrencyCurrencyCodeobligatoire
Specifies the currency of the amount or of the account.
Schéma : CurrencyCode
Specifies the currency of the amount or of the account. A code allocated to a currency by a Maintenance Agency under an international identification scheme, as described in the latest edition of the international standard ISO 4217 "Codes for the representation of currencies and funds".
Type : string
Contraintes : pattern: `^[A-Z]{3,3}$`
- targetCurrencyCurrencyCode
Specifies the currency of the amount or of the account.
Schéma : CurrencyCode
Specifies the currency of the amount or of the account. A code allocated to a currency by a Maintenance Agency under an international identification scheme, as described in the latest edition of the international standard ISO 4217 "Codes for the representation of currencies and funds".
Type : string
Contraintes : pattern: `^[A-Z]{3,3}$`
- unitCurrencyCurrencyCode
Specifies the currency of the amount or of the account.
Schéma : CurrencyCode
Specifies the currency of the amount or of the account. A code allocated to a currency by a Maintenance Agency under an international identification scheme, as described in the latest edition of the international standard ISO 4217 "Codes for the representation of currencies and funds".
Type : string
Contraintes : pattern: `^[A-Z]{3,3}$`
- exchangeRatenumber (float)obligatoire
Factor used to convert an amount from one currency into another. This reflects the price at which one currency was bought with another currency.
Factor used to convert an amount from one currency into another. This reflects the price at which one currency was bought with another currency. ExchangeRate expresses the ratio between UnitCurrency and QuotedCurrency (ExchangeRate = UnitCurrency/QuotedCurrency).
- contractIdentificationstring
Unique identification to unambiguously identify the foreign exchange contract.
Contraintes : maxLength: 35
Date and time at which an exchange rate is quoted.
- transactionAmountAmountAndCurrencyExchangeDetails
ISO20022: details on amount and currency exchange
Schéma : AmountAndCurrencyExchangeDetails
Champs détaillés plus haut : responses.200.transactions.transactionAmountDetails.instructedAmount
- counterValueAmountAmountAndCurrencyExchangeDetails
ISO20022: details on amount and currency exchange
Schéma : AmountAndCurrencyExchangeDetails
Champs détaillés plus haut : responses.200.transactions.transactionAmountDetails.instructedAmount
- announcedPostingAmountAmountAndCurrencyExchangeDetails
ISO20022: details on amount and currency exchange
Schéma : AmountAndCurrencyExchangeDetails
Champs détaillés plus haut : responses.200.transactions.transactionAmountDetails.instructedAmount
- proprietaryAmountarray<AmountAndCurrencyExchangeDetails>
Set of elements used to provide information on the original amount and currency exchange.
Set of elements used to provide information on the original amount and currency exchange.
Élément : AmountAndCurrencyExchangeDetails
Champs détaillés plus haut : responses.200.transactions.transactionAmountDetails.instructedAmount
- statusTransactionStatusobligatoire
Type of Transaction
Schéma : TransactionStatus
Code Nom Description BOOKClosingBooked Accounted transaction PDNGPending Transaction that is to be accounted and does already affect the instant balance FUTRFuture Entry is on the books of the account servicer and value will be applied to the account owner at a future date and time. INFOInformation Entry is only provided for information, and no booking on the account owner's account in the account servicer's ledger was performed. - endToEndIdEndToEndId
ISO20022: Unique identification assigned by the initiating party to unambiguously identify the transaction. This identification is passed on, unchanged, throughout the entire end-to-end chain.
Schéma : EndToEndId
ISO20022: Unique identification assigned by the initiating party to unambiguously identify the transaction. This identification is passed on, unchanged, throughout the entire end-to-end chain.
Type : string
Contraintes : pattern: `^([a-zA-Z0-9 /\-?:\()\.,']{1,36})$`
Expected booking date of the transaction on the account if the transaction is not yet booked.
Expected booking date of the transaction on the account if the transaction is not yet booked.
Real booking date of the transaction on the account
Real booking date of the transaction on the account
Value date of the transaction on the account
Date used for specific purposes:
Date used for specific purposes:
- for card transaction: date of the commercial transaction
- for credit transfer: acquiring date of the transaction as seen by the Payer's Bank
- for direct debit: receiving date of the transaction as seen by the Payer's Bank
- bankTransactionCodeBankTransactionCode
Set of elements used to fully identify the type of underlying transaction resulting in an entry.
Schéma : BankTransactionCode
Set of elements used to fully identify the type of underlying transaction resulting in an entry.
ISO20022 provides a list of possible Bank Transaction Code combinations
Transaction codification might also be specified at national community level.
For instance a French Transaction codification is available
It applies with paragraph 2 code table using the following mapping:
- domain must be set with "FR"
- family must be set with one of the values that are provided in the [code Famille] column (e.g. "OPCA")
- subFamily must be set with one of the values that are provided in the [code operation] column (e.g. "05")
- code might be set with a proprietary transaction code that must be documented by the implementation.
- domainstringobligatoire
Set of elements used to provide the domain, the family and the sub-family of the bank transaction code, in a structured and hierarchical format.
Set of elements used to provide the domain, the family and the sub-family of the bank transaction code, in a structured and hierarchical format.
Contraintes : maxLength: 4
- familystringobligatoire
Specifies the family and the sub-family of the bank transaction code, within a specific domain, in a structured and hierarchical format.
Specifies the family and the sub-family of the bank transaction code, within a specific domain, in a structured and hierarchical format.
Contraintes : maxLength: 4
- subFamilystringobligatoire
Specifies the sub-product family within a specific family.
Specifies the sub-product family within a specific family.
Contraintes : maxLength: 4
- codestring
Proprietary bank transaction code to identify the underlying transaction.
Proprietary bank transaction code to identify the underlying transaction.
Contraintes : maxLength: 35
- issuerstring
Identification of the issuer of the proprietary bank transaction code.
Identification of the issuer of the proprietary bank transaction code.
Contraintes : maxLength: 35
- chargesCharges
ISO20022: Provides further details on the charges related to the payment transaction.
Schéma : Charges
ISO20022: Provides further details on the charges related to the payment transaction. API: Amounts must always be set as positive values.
- totalChargesAndTaxAmountAmountType
Total of all charges and taxes applied to the entry.
Schéma : AmountType
Champs détaillés plus haut : responses.200.transactions.transactionAmount
- recordarray<ChargesRecord>
Provides details of the individual charges record.
Élément : ChargesRecord
ISO20022: Provides further individual record details on the charges related to the payment transaction.
- The [amount] proprty specifies the transaction charges to be paid by the charge bearer.
- The [creditDebitIndicator] property indicates whether the charges amount is a credit or a debit amount. A zero amount is considered to be a credit.
- the [code] property is the charge type, in a coded form
- the [rate] property is the rate used to calculate the amount of the charge or fee.
- the [bearer] property specifies which party/parties will bear the charges associated with the processing of the payment transaction.
- the [agent] property specifies the agent that takes the transaction charges or to which the transaction charges are due.
- the [tax] property provides details on the tax applied to charges. API: Amounts must always be set as positive values.
- amountAmountType
Structure aiming to embed the amount and the currency to be used.
Schéma : AmountType
Champs détaillés plus haut : responses.200.transactions.transactionAmount
- creditDebitIndicatorCreditDebitIndicator
Accounting flow of the amount
Schéma : CreditDebitIndicator
Champs détaillés plus haut : responses.200.transactions.creditDebitIndicator
- chargeIncludedIndicatorboolean
Indicates whether the charge should be included in the amount or is added as pre-advice.
Indicates whether the charge should be included in the amount or is added as pre-advice. One of the following values must be used:
- Meaning When True: Included
- Meaning When False: Pre-advised
- codeCodeAndIssuer
Specifies a code and the issuer of this code.
Schéma : CodeAndIssuer
Specifies a code and the issuer of this code.
- codestringobligatoire
Provides the code.
Contraintes : maxLength: 4
- issuerstring
Identification of the issuer of the code.
Contraintes : maxLength: 35
- ratePercentageRate
Rate expressed as a percentage, ie, in hundredths, eg, 0.7 is 7/10 of a percent, and 7.0 is 7%.
Schéma : PercentageRate
Rate expressed as a percentage, ie, in hundredths, eg, 0.7 is 7/10 of a percent, and 7.0 is 7%.
Type : number (float)
- bearerChargeBearerCode
ISO20022: Specifies which party/parties will bear the charges associated with the processing of the payment transaction.
Schéma : ChargeBearerCode
Code Nom Description DEBTBorneByDebtor All transaction charges are to be borne by the debtor. CREDBorneByCreditor All transaction charges are to be borne by the creditor. SHARShared In a credit transfer context, means that transaction charges on the sender side are to be borne by the debtor, transaction charges on the receiver side are to be borne by the creditor. In a direct debit context, means that transaction charges on the sender side are to be borne by the creditor, transaction charges on the receiver side are to be borne by the debtor. SLEVFollowingServiceLevel Charges are to be applied following the rules agreed in the service level and/or scheme. - agentFinancialInstitutionIdentification
ISO20022: Unique and unambiguous identification of a financial institution, as assigned under an internationally recognised or proprietary identification scheme.
Schéma : FinancialInstitutionIdentification
ISO20022: Unique and unambiguous identification of a financial institution, as assigned under an internationally recognised or proprietary identification scheme.
- bicFistringobligatoire
ISO20022: Code allocated to a financial institution by the ISO 9362 Registration Authority as described in ISO 9362 "Banking - Banking telecommunication messages - Business identification code (BIC)".
ISO20022: Code allocated to a financial institution by the ISO 9362 Registration Authority as described in ISO 9362 "Banking - Banking telecommunication messages - Business identification code (BIC)".
Contraintes : pattern: `^[A-Z]{6,6}[A-Z2-9][A-NP-Z0-9]([A-Z0-9]{3,3}){0,1}$`
- clearingSystemMemberIdClearingSystemMemberIdentification
ISO20022: Information used to identify a member within a clearing system.
Schéma : ClearingSystemMemberIdentification
ISO20022: Information used to identify a member within a clearing system. API: to be used for some specific international credit transfers in order to identify the beneficiary bank
- clearingSystemIdstringobligatoire
ISO20022: Specification of a pre-agreed offering between clearing agents or the channel through which the payment instruction is processed.
ISO20022: Specification of a pre-agreed offering between clearing agents or the channel through which the payment instruction is processed.
Contraintes : maxLength: 35
- memberIdstringobligatoire
ISO20022: Identification of a member of a clearing system.
ISO20022: Identification of a member of a clearing system.
Contraintes : maxLength: 35
- leiLeiIdentification
Legal Entity Identifier is a code allocated to a party as described in ISO 17442 "Financial Services - Legal Entity Identifier (LEI)".
Schéma : LeiIdentification
Legal Entity Identifier is a code allocated to a party as described in ISO 17442 "Financial Services - Legal Entity Identifier (LEI)".
Type : string
Contraintes : pattern: `^[A-Z0-9]{18,18}[0-9]{2,2}$`
- namestring
Name of the financial institution
Contraintes : maxLength: 140
- postalAddressPostalAddress
ISO20022: Information that locates and identifies a specific address, as defined by postal services.
Schéma : PostalAddress
ISO20022: Information that locates and identifies a specific address, as defined by postal services.
- addressTypestringénumération · 6
ISO20022: Identifies the nature of the postal address.
ISO20022: Identifies the nature of the postal address. API: Cannot be used for SEPA payments. Proprietary codes can be specified and documented if needed.
Code Nom Description BIZZBusiness Address is the business address DLVYDelivery Address is the address to which delivery is to take place MLTOMail To Address is the address to which mail is sent PBOXPO Box Address is is a postal office (PO) box ADDRPostal Address is the complete postal address HOMEHome Address is the home address - departmentstring
ISO20022: Identification of a division of a large organisation or building.
ISO20022: Identification of a division of a large organisation or building. API: Cannot be used for SEPA payments.
Contraintes : maxLength: 70
- subDepartmentstring
ISO20022: Identification of a sub-division of a large organisation or building.
ISO20022: Identification of a sub-division of a large organisation or building. API: Cannot be used for SEPA payments.
Contraintes : maxLength: 70
- streetNamestring
ISO20022: Name of a street or thoroughfare.
ISO20022: Name of a street or thoroughfare. API: Cannot be used for SEPA payments.
Contraintes : maxLength: 70
- buildingNumberstring
ISO20022: Number that identifies the position of a building on a street.
ISO20022: Number that identifies the position of a building on a street. API: Cannot be used for SEPA payments.
Contraintes : maxLength: 16
- buildingNamestring
ISO20022: Name of the building or house.
ISO20022: Name of the building or house. API: Cannot be used for SEPA payments.
Contraintes : maxLength: 16
- postCodestring
ISO20022: Identifier consisting of a group of letters and/or numbers that is added to a postal address to assist the sorting of mail.
ISO20022: Identifier consisting of a group of letters and/or numbers that is added to a postal address to assist the sorting of mail. API: Cannot be used for SEPA payments.
Contraintes : maxLength: 16
- townNamestring
ISO20022: Name of a built-up area, with defined boundaries, and a local government.
ISO20022: Name of a built-up area, with defined boundaries, and a local government. API: Cannot be used for SEPA payments.
Contraintes : maxLength: 35
- countrySubDivisionstring
ISO20022: Identifies a subdivision of a country such as state, region, county.
ISO20022: Identifies a subdivision of a country such as state, region, county. API: Cannot be used for SEPA payments.
Contraintes : maxLength: 35
- countrystringobligatoire
ISO20022: Country in which a person resides (the place of a person's home). In the case of a company, it is the country from which the affairs of that company are directed.
ISO20022: Country in which a person resides (the place of a person's home). In the case of a company, it is the country from which the affairs of that company are directed.
Contraintes : pattern: `^([A-Z]{2,2})$`
- addressLinearray<string>
Unstructured address. The lines must embed zip code and town name.
Unstructured address. The lines must embed zip code and town name. For SEPA payments, only two address lines are allowed.
Type : array<string>
Élément : Address line
Contraintes sur les éléments : maxLength: 70
- taxTaxCharges
ISO20022: Provides details on the tax applied to charges.
Schéma : TaxCharges
ISO20022: Provides details on the tax applied to charges.
- The [rate] property is the rate used to calculate the tax.
- the [amount] property is the amount of money resulting from the calculation of the tax. API: Amounts must always be set as positive values.
- identificationstring
Unique reference to unambiguously identify the nature of the tax levied, such as Value Added Tax (VAT).
Contraintes : maxLength: 35
- ratePercentageRate
Rate expressed as a percentage, ie, in hundredths, eg, 0.7 is 7/10 of a percent, and 7.0 is 7%.
Schéma : PercentageRate
Rate expressed as a percentage, ie, in hundredths, eg, 0.7 is 7/10 of a percent, and 7.0 is 7%.
Type : number (float)
- amountAmountType
Structure aiming to embed the amount and the currency to be used.
Schéma : AmountType
Champs détaillés plus haut : responses.200.transactions.transactionAmount
- remittanceInformationRemittanceInformation
ISO20022: Information supplied to enable the matching of an entry with the items that the transfer is intended to settle, such as commercial invoices in an accounts' receivable system.
Schéma : RemittanceInformation
ISO20022: Information supplied to enable the matching of an entry with the items that the transfer is intended to settle, such as commercial invoices in an accounts' receivable system. API:
- Only one occurrence of the unstructured information is allowed.
- Only one occurrence of the structured information is allowed.
- Structured and unstructured information can coexist.
- unstructuredarray<string>
Unstructured remittance information.
Unstructured remittance information. Each implementation may add a pattern in order to specify its own character set constraints.
Type : array<string>
Élément : Relevant information to the transaction
Contraintes sur les éléments : maxLength: 140
- structuredarray<StructuredRemittanceInformation>
Structured remittance information
Élément : StructuredRemittanceInformation
Information supplied to enable the matching/reconciliation of an entry with the items that the payment is intended to settle, such as commercial invoices in an accounts' receivable system, in a structured form.
- referredDocumentInformationReferredDocumentInformations
Provides the identification and the content of the referred documents.
Élément : ReferredDocumentInformation
Provides the identification and the content of the referred document.
- typeCodeAndIssuer
Specifies a code and the issuer of this code.
Schéma : CodeAndIssuer
Champs détaillés plus haut : responses.200.transactions.charges.record.code
- numberstring
Unique and unambiguous identification of the referred document.
Contraintes : maxLength: 35
- lineDetailsarray<LineDetail>
Sets of elements used to provide the content of the referred document line.
Élément : LineDetail
Set of elements used to provide the content of the referred document line.
- identificationDocumentLineIdentification
Provides identification of the document line.
Schéma : DocumentLineIdentification
Provides identification of the document line. the [type] property must be used for specifying the type of referred document type.
- typeCodeAndIssuer
Specifies a code and the issuer of this code.
Schéma : CodeAndIssuer
- numberstring
Unique and unambiguous identification of the referred document line.
Contraintes : maxLength: 35
- descriptionstring
Description associated with the document line.
Contraintes : maxLength: 2048
- amountRemittanceAmount
ISO20022: Provides details on the amounts of the document line.
Schéma : RemittanceAmount
ISO20022: Provides details on the amounts of the document line. API: Amounts must always be set as positive values.
Property Description duePayableAmount Amount specified is the exact amount due and payable to the creditor. discountAppliedAmount Amount of discount to be applied to the amount due and payable to the creditor. creditNoteAmount Amount of a credit note. taxAmount Amount of the tax. adjustmentAmountAndReason Specifies detailed information on the amount and reason of the adjustment. remittedAmount Amount of money remitted. - duePayableAmountAmountType
Structure aiming to embed the amount and the currency to be used.
Schéma : AmountType
- discountAppliedAmountTypedAmount
ISO20022: Typed Amount
Schéma : TypedAmount
- creditNoteAmountAmountType
Structure aiming to embed the amount and the currency to be used.
Schéma : AmountType
- taxAmountTypedAmount
ISO20022: Typed Amount
Schéma : TypedAmount
- adjustmentAmountAndReasonDocumentAdjustment
ISO20022: Specifies detailed information on the amount and reason of the adjustment.
Schéma : DocumentAdjustment
- remittedAmountAmountType
Structure aiming to embed the amount and the currency to be used.
Schéma : AmountType
- referredDocumentAmountRemittanceAmount
ISO20022: Provides details on the amounts of the document line.
Schéma : RemittanceAmount
ISO20022: Provides details on the amounts of the document line. API: Amounts must always be set as positive values.
Property Description duePayableAmount Amount specified is the exact amount due and payable to the creditor. discountAppliedAmount Amount of discount to be applied to the amount due and payable to the creditor. creditNoteAmount Amount of a credit note. taxAmount Amount of the tax. adjustmentAmountAndReason Specifies detailed information on the amount and reason of the adjustment. remittedAmount Amount of money remitted. - duePayableAmountAmountType
Structure aiming to embed the amount and the currency to be used.
Schéma : AmountType
Champs détaillés plus haut : responses.200.transactions.transactionAmount
- discountAppliedAmountTypedAmount
ISO20022: Typed Amount
Schéma : TypedAmount
ISO20022: Typed Amount API: Amounts must always be set as positive values.
- typestring
Type of the amount
Contraintes : maxLength: 35
- amountAmountTypeobligatoire
Structure aiming to embed the amount and the currency to be used.
Schéma : AmountType
Champs détaillés plus haut : responses.200.transactions.transactionAmount
- creditNoteAmountAmountType
Structure aiming to embed the amount and the currency to be used.
Schéma : AmountType
Champs détaillés plus haut : responses.200.transactions.transactionAmount
- taxAmountTypedAmount
ISO20022: Typed Amount
Schéma : TypedAmount
Champs détaillés plus haut : responses.200.transactions.remittanceInformation.structured.referredDocumentAmount.discountAppliedAmount
- adjustmentAmountAndReasonDocumentAdjustment
ISO20022: Specifies detailed information on the amount and reason of the adjustment.
Schéma : DocumentAdjustment
ISO20022: Specifies detailed information on the amount and reason of the adjustment. API: Amounts must always be set as positive values.
- amountAmountTypeobligatoire
Structure aiming to embed the amount and the currency to be used.
Schéma : AmountType
Champs détaillés plus haut : responses.200.transactions.transactionAmount
- creditDebitIndicatorCreditDebitIndicator
Accounting flow of the amount
Schéma : CreditDebitIndicator
Champs détaillés plus haut : responses.200.transactions.creditDebitIndicator
- reasonstring
Specifies the reason for the adjustment.
Contraintes : maxLength: 4
- additionalInformationstring
Provides further details on the document adjustment.
Contraintes : maxLength: 140
- remittedAmountAmountType
Structure aiming to embed the amount and the currency to be used.
Schéma : AmountType
Champs détaillés plus haut : responses.200.transactions.transactionAmount
- creditorReferenceInformationCreditorReferenceInformation
Reference information provided by the creditor to allow the identification of the underlying documents.
Schéma : CreditorReferenceInformation
Reference information provided by the creditor to allow the identification of the underlying documents.
- typeCodeAndIssuer
Specifies a code and the issuer of this code.
Schéma : CodeAndIssuer
Champs détaillés plus haut : responses.200.transactions.charges.record.code
- referencestring
Unique reference, as assigned by the creditor, to unambiguously refer to the payment transaction.
Contraintes : maxLength: 35
- invoicerPartyIdentification
API : Description of a Party which can be either a person or an organization.
Schéma : PartyIdentification
Champs détaillés plus haut : responses.200.transactions.relatedParties.initiatingParty
- invoiceePartyIdentification
API : Description of a Party which can be either a person or an organization.
Schéma : PartyIdentification
Champs détaillés plus haut : responses.200.transactions.relatedParties.initiatingParty
- taxRemittanceTaxInformation
ISO20022: Details about tax paid, or to be paid, to the government in accordance with the law, including pre-defined parameters such as thresholds and type of account.
Schéma : TaxInformation
ISO20022: Details about tax paid, or to be paid, to the government in accordance with the law, including pre-defined parameters such as thresholds and type of account. API: Amounts must always be set as positive values. The [totalTaxableBaseAmount] property indicates the total amount of money on which the tax is based. The [totalTaxAmount] property indicates the total amount of money as result of the calculation of the tax.
- creditorTaxParty
Set of elements used to identify a party of the transaction to which the tax applies.
Schéma : TaxParty
Set of elements used to identify a party of the transaction to which the tax applies. The [authorization] property aims to provide the details of the authorised tax paying party.
- taxIdentificationstring
Tax identification number of the party.
Contraintes : maxLength: 35
- registrationIdentificationstring
Unique identification, as assigned by an organisation, to unambiguously identify a party.
Contraintes : maxLength: 35
- taxTypestring
Type of tax payer.
Contraintes : maxLength: 35
- debtorTaxParty
Set of elements used to identify a party of the transaction to which the tax applies.
Schéma : TaxParty
Champs détaillés plus haut : responses.200.transactions.remittanceInformation.structured.taxRemittance.creditor
- ultimateDebtorTaxParty
Set of elements used to identify a party of the transaction to which the tax applies.
Schéma : TaxParty
Champs détaillés plus haut : responses.200.transactions.remittanceInformation.structured.taxRemittance.creditor
- administrationZonestring
Territorial part of a country to which the tax payment is related.
Contraintes : maxLength: 35
- referenceNumberstring
Tax reference information that is specific to a taxing agency.
Contraintes : maxLength: 140
- methodstring
Method used to indicate the underlying business or how the tax is paid.
Contraintes : maxLength: 35
- totalTaxableBaseAmountAmountType
Structure aiming to embed the amount and the currency to be used.
Schéma : AmountType
Champs détaillés plus haut : responses.200.transactions.transactionAmount
- totalTaxAmountAmountType
Structure aiming to embed the amount and the currency to be used.
Schéma : AmountType
Champs détaillés plus haut : responses.200.transactions.transactionAmount
Date by which tax is due.
- sequenceNumberinteger (int32)
Sequential number of the tax report.
- recordarray<TaxRecord>
Records of tax details
Élément : TaxRecord
Record of tax details the [period] property embbeds the set of elements used to provide details on the period of time related to the tax payment. the [amount] property embbeds the set of elements used to provide information on the amount of the tax record.
- typestring
High level code to identify the type of tax details.
Contraintes : maxLength: 35
- categorystring
Specifies the tax code as published by the tax authority.
Contraintes : maxLength: 35
- categoryDetailsstring
Provides further details of the category tax code.
Contraintes : maxLength: 35
- debtorStatusstring
Code provided by local authority to identify the status of the party that has drawn up the settlement document.
Contraintes : maxLength: 35
- certificateIdentificationstring
Identification number of the tax report as assigned by the taxing authority.
Contraintes : maxLength: 35
- formsCodestring
Identifies, in a coded form, on which template the tax report is to be provided.
Contraintes : maxLength: 35
- periodTaxPeriod
Set of elements used to provide details on the period of time related to the tax payment.
Schéma : TaxPeriod
Set of elements used to provide details on the period of time related to the tax payment. The [type] property aims to identify the period related to the tax payment.
- yearstring
Year related to the tax payment.
Contraintes : pattern: `^[0-9]{4,4}$`
- typeTaxRecordPeriodCode
Identification of the period related to the tax payment.
Schéma : TaxRecordPeriodCode
Code Description MM01FirstMonth Tax is related to the second month of the period. MM02SecondMonth Tax is related to the first month of the period. MM03ThirdMonth Tax is related to the third month of the period. MM04FourthMonth Tax is related to the fourth month of the period. MM05FifthMonth Tax is related to the fifth month of the period. MM06SixthMonth Tax is related to the sixth month of the period. MM07SeventhMonth Tax is related to the seventh month of the period. MM08EighthMonth Tax is related to the eighth month of the period. MM09NinthMonth Tax is related to the ninth month of the period. MM10TenthMonth Tax is related to the tenth month of the period. MM11EleventhMonth Tax is related to the eleventh month of the period. MM12TwelfthMonth Tax is related to the twelfth month of the period. QTR1FirstQuarter Tax is related to the first quarter of the period. QTR2SecondQuarter Tax is related to the second quarter of the period. QTR3ThirdQuarter Tax is related to the third quarter of the period. QTR4FourthQuarter Tax is related to the fourth quarter of the period. HLF1FirstHalf Tax is related to the first half of the period. HLF2SecondHalf Tax is related to the second half of the period. Start date of the range.
End date of the range.
- taxAmountTaxAmount
ISO20022: Set of elements used to provide information on the amount of the tax record.
Schéma : TaxAmount
ISO20022: Set of elements used to provide information on the amount of the tax record. API: Amounts must always be set as positive values.
Property Description rate Rate used to calculate the tax. taxableBaseAmount Amount of money on which the tax is based. totalAmount Total amount that is the result of the calculation of the tax for the record. details Set of elements used to provide details on the tax period and amount. - ratePercentageRate
Rate expressed as a percentage, ie, in hundredths, eg, 0.7 is 7/10 of a percent, and 7.0 is 7%.
Schéma : PercentageRate
Rate expressed as a percentage, ie, in hundredths, eg, 0.7 is 7/10 of a percent, and 7.0 is 7%.
Type : number (float)
- taxableBaseAmountAmountType
Structure aiming to embed the amount and the currency to be used.
Schéma : AmountType
- totalAmountAmountType
Structure aiming to embed the amount and the currency to be used.
Schéma : AmountType
- detailsarray<TaxRecordDetails>
Set of elements used to provide details on the tax period and amount.
Élément : TaxRecordDetails
- additionalInformationstring
Further details of the tax record.
Contraintes : maxLength: 140
- additionalTransactionInformationstring
Additional information about reconciliation.
Contraintes : maxLength: 500
- standingOrderCharacteristicsStandingOrderCharacteristics
Specifies the characteristics of a standing order.
Schéma : StandingOrderCharacteristics
Specifies the characteristics of a standing order.
- startDateStartDateobligatoire
The first applicable day of execution for a given period.
Schéma : StartDate
The first applicable day of execution for a given period.
Type : string (date-time)
- endDateEndDate
The last applicable day of execution for a given period.
Schéma : EndDate
The last applicable day of execution for a given period. If not given, the period is considered as endless.
Type : string (date-time)
- executionRuleExecutionRuleobligatoire
Execution date shifting rule for standing orders
Schéma : ExecutionRule
Code Description FWNGfollowing PRECpreceding - frequencyFrequencyCodeobligatoire
Frequency rule for standing orders.
Schéma : FrequencyCode
Code Description DAILDaily WEEKWeekly TOWKEveryTwoWeeks MNTHMonthly TOMNEveryTwoMonths QUTRQuarterly SEMISemiAnnual YEARAnnual
- merchantCategoryCodestring
Category code conform to ISO 18245, related to the type of services or goods the merchant provides for the transaction.
Category code conform to ISO 18245, related to the type of services or goods the merchant provides for the transaction.
Contraintes : maxLength: 4
- _linksTransactionLinks
links that can be used for further retrieving details on a given transaction
Schéma : TransactionLinks
links that can be used for further retrieving details on a given transaction
Link Description details link to the details of the transaction - detailsGenericLink
hypertext reference
Schéma : GenericLink
hypertext reference
- hrefstringobligatoire
URI to be used. HREF stands for Hypertext REFerence.
Contraintes : maxLength: 2000
- templatedboolean
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570.
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570. Otherwise, this property must be absent or set to false default value: false
- bookingPeriodPeriod
definition of a time period
Schéma : Period
definition of a time period
- startDateStartDate
The first applicable day of execution for a given period.
Schéma : StartDate
The first applicable day of execution for a given period.
Type : string (date-time)
- endDateEndDate
The last applicable day of execution for a given period.
Schéma : EndDate
The last applicable day of execution for a given period. If not given, the period is considered as endless.
Type : string (date-time)
- cardIdGenericIdentification
ISO20022: Unique identification of an account, a person or an organisation, as assigned by an issuer.
Schéma : GenericIdentification
ISO20022: Unique identification of an account, a person or an organisation, as assigned by an issuer. API: The ASPSP will document which account reference type it will support.
- identificationstringobligatoire
API: Identifier
API: Identifier
Contraintes : maxLength: 70
- schemeNamestringobligatoire
Name of the identification scheme.
Name of the identification scheme. Possible values for the scheme name, partially based on ISO20022 external code list, are the following:
Code Name Description BANK BankPartyIdentification Unique and unambiguous assignment made by a specific bank or similar financial institution to identify a relationship as defined between the bank and its client. BBAN BBANIdentifier Basic Bank Account Number (BBAN) - identifier used nationally by financial institutions, ie, in individual countries, generally as part of a National Account Numbering Scheme(s), to uniquely identify the account of a customer. COID CountryIdentificationCode) : Country authority given organisation identification (e.g., corporate registration number) SREN SIREN The SIREN number is a 9 digit code assigned by INSEE, the French National Institute for Statistics and Economic Studies, to identify an organisation in France. SRET SIRET The SIRET number is a 14 digit code assigned by INSEE, the French National Institute for Statistics and Economic Studies, to identify an organisation unit in France. It consists of the SIREN number, followed by a five digit classification number, to identify the local geographical unit of that entity. NIDN NationalIdentityNumber Number assigned by an authority to identify the national identity number of a person. Other values are also permitted, for instance: Code Name Description ---- ---- ----------- OAUT OAUTH2 OAUTH2 access token that is owned by the PISP being also an AISP and that can be used in order to identify the PSU CPAN CardPan Card PAN MPAN MaskedPan Card PAN where some digits were replaced for security reason TPAN TokenizedPan Token which was provided by a Token Service Provider (TSP) in order to obfuscate a real card PAN. The TSP must be identified in the issuer field TBAN TokenizedIBAN Token which was provided by a Token Service Provider (TSP) in order to obfuscate an IBAN. The TSP must be identified in the issuer field Each implementation of the STET PSD2 API must specify in its own documentation which schemes can actually been used Contraintes : maxLength: 70
- issuerstring
ISO20022: Entity that assigns the identification. this could a country code or any organisation name or identifier that can be recognized by both parties
ISO20022: Entity that assigns the identification. this could a country code or any organisation name or identifier that can be recognized by both parties
Contraintes : maxLength: 35
- _linksTransactionsLinksobligatoire
links that can be used for further navigation when browsing transactions Information at one account level
Schéma : TransactionsLinks
links that can be used for further navigation when browsing transactions Information at one account level
Link Description self link to the transactions of a given account parent-list link to the list of all available accounts owners link to the owners identities for a given account balances link to the balances of a given account overdrafts link to the lists of overdrafts of a given account first link to the first page of the transactions result last link to the last page of the transactions result next link to the next page of the transactions result prev link to the previous page of the transactions result - selfGenericLinkobligatoire
hypertext reference
Schéma : GenericLink
hypertext reference
- hrefstringobligatoire
URI to be used. HREF stands for Hypertext REFerence.
Contraintes : maxLength: 2000
- templatedboolean
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570.
This field must be set with "true" when [href] is an URI template, i.e. with parameters that will be set by the client afterwards. Parameter fields must be included by the API server according to RFC6570. Otherwise, this property must be absent or set to false default value: false
- parent-listGenericLink
hypertext reference
Schéma : GenericLink
Champs détaillés plus haut : responses.200._links.self
- ownersGenericLink
hypertext reference
Schéma : GenericLink
Champs détaillés plus haut : responses.200._links.self
- balancesGenericLink
hypertext reference
Schéma : GenericLink
Champs détaillés plus haut : responses.200._links.self
- overdraftsGenericLink
hypertext reference
Schéma : GenericLink
Champs détaillés plus haut : responses.200._links.self
- firstGenericLink
hypertext reference
Schéma : GenericLink
Champs détaillés plus haut : responses.200._links.self
- lastGenericLink
hypertext reference
Schéma : GenericLink
Champs détaillés plus haut : responses.200._links.self
- nextGenericLink
hypertext reference
Schéma : GenericLink
Champs détaillés plus haut : responses.200._links.self
- prevGenericLink
hypertext reference
Schéma : GenericLink
Champs détaillés plus haut : responses.200._links.self
204
No content.
Définition de réponse partagée : 204
400
Invalid status value
ErrorModel
Generic error report structure
Champs (6)
current timestamp
- statusinteger (int32)obligatoire
HTTP error code
- errorstring
HTTP error text
Contraintes : maxLength: 140
- messagestringobligatoire
HTTP textual reason phrase
Contraintes : maxLength: 140
- pathstring
Relevant path that was used
Contraintes : maxLength: 140
- detailsarray<ErrorDetail>
list of detailed errors that were encountered
Élément : ErrorDetail
detailed error description
- locationstringénumération · 2
Location of the erroneous parameter when not in request body
Code headerquery - namestring
Name of the erroneous parameter when not in request body
- pathstring
JsonPath of the erroneous request body property
- erroneousValuestring
Erroneous parameter value
- messagestring
Relevant message for the erroneous parameter
- expectedPatternstring
Expected pattern, if any, that the erroneous parameter does not match with
- expectedValueRangeobject
Expected value range, if any, that the erroneous parameter does not match with
- minValueinteger
- maxValueinteger
- expectedValueCountobject
Expected value count, in the case of an array item, that the erroneous parameter does not match with
- minValueinteger
- maxValueinteger
- expectedEnumerationarray<string>
Expected enumeration, if any, that the erroneous parameter do not match with
401
Unauthorized, authentication failure.
ErrorModel
Generic error report structure
Champs (6)
Champs détaillés plus haut : responses.400
403
Forbidden, authentication successful but access to resource is not allowed.
ErrorModel
Generic error report structure
Champs (6)
Champs détaillés plus haut : responses.400
404
Not found, no request available.
ErrorModel
Generic error report structure
Champs (6)
Champs détaillés plus haut : responses.400
405
Method Not Allowed.
ErrorModel
Generic error report structure
Champs (6)
Champs détaillés plus haut : responses.400
406
Not Acceptable.
ErrorModel
Generic error report structure
Champs (6)
Champs détaillés plus haut : responses.400
408
Request Timeout.
ErrorModel
Generic error report structure
Champs (6)
Champs détaillés plus haut : responses.400
429
Too many requests.
ErrorModel
Generic error report structure
Champs (6)
Champs détaillés plus haut : responses.400
500
Internal server error.
ErrorModel
Generic error report structure
Champs (6)
Champs détaillés plus haut : responses.400
503
Service unavailable.
ErrorModel
Generic error report structure
Champs (6)
Champs détaillés plus haut : responses.400
Schémas utilisés par cet endpoint
Toutes les structures auxquelles cette opération fait référence, présentées une seule fois. Les renvois entre elles mènent à cette même page.
AccountIdentification
Unique and unambiguous identification for the account between the account owner and the account servicer. Card accounts must provide the identification of the card through the "other" substructure by giving, for instance, the masked PAN (MPAN). The currency used for the account, when needed, can be specified through the [currency] field.
Champs (4)
Champs détaillés plus haut : responses.200.transactions.relatedParties.debtorAccount
AmountAndCurrencyExchange
Provides detailed information on the original amount. The [instructedAmount] property identifies the amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party and provides currency exchange information in case the instructed amount and/or currency is/are different from the entry amount and/or currency. The [transactionAmount] property identifies the amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party and provides currency exchange information in case the instructed amount and/or currency is/are different from the entry amount and/or currency. The [cunterValueAmount] property embbeds the set of elements used to provide the countervalue amount and currency exchange information.
- This can be either the counter amount quoted in an FX deal, or the result of the currency information applied to an instructed amount, before deduction of charges. The [announcedPostingAmount] property specifies the amount of money, based on terms of corporate action event and balance of underlying securities, entitled to/from the account owner.
- In some situations, this amount may alternatively be called entitled amount.
Champs (5)
Champs détaillés plus haut : responses.200.transactions.transactionAmountDetails
AmountAndCurrencyExchangeDetails
ISO20022: details on amount and currency exchange The [amount] property is the amount of money to be exchanged against another amount of money in the counter currency. The [sourceCurency] property indicates the currency from which an amount is to be converted in a currency conversion. The [targetCurrency] property indicates the currency into which an amount is to be converted in a currency conversion. The [unitCurrency] indicates the currency in which the rate of exchange is expressed in a currency exchange. In the example 1GBP = xxxCUR, the unit currency is GBP. API: Amounts must always be set as positive values.
Champs (8)
Champs détaillés plus haut : responses.200.transactions.transactionAmountDetails.instructedAmount
AmountType
Structure aiming to embed the amount and the currency to be used.
Champs (2)
Champs détaillés plus haut : responses.200.transactions.transactionAmount
BankTransactionCode
Set of elements used to fully identify the type of underlying transaction resulting in an entry.
ISO20022 provides a list of possible Bank Transaction Code combinations
Transaction codification might also be specified at national community level.
For instance a French Transaction codification is available
It applies with paragraph 2 code table using the following mapping:
- domain must be set with "FR"
- family must be set with one of the values that are provided in the [code Famille] column (e.g. "OPCA")
- subFamily must be set with one of the values that are provided in the [code operation] column (e.g. "05")
- code might be set with a proprietary transaction code that must be documented by the implementation.
Champs (5)
Champs détaillés plus haut : responses.200.transactions.bankTransactionCode
ChargeBearerCode
ISO20022: Specifies which party/parties will bear the charges associated with the processing of the payment transaction. The following values are allowed:
Champs détaillés plus haut : responses.200.transactions.charges.record.bearer
Charges
ISO20022: Provides further details on the charges related to the payment transaction. API: Amounts must always be set as positive values.
Champs (2)
Champs détaillés plus haut : responses.200.transactions.charges
ChargesRecord
ISO20022: Provides further individual record details on the charges related to the payment transaction.
- The [amount] proprty specifies the transaction charges to be paid by the charge bearer.
- The [creditDebitIndicator] property indicates whether the charges amount is a credit or a debit amount. A zero amount is considered to be a credit.
- the [code] property is the charge type, in a coded form
- the [rate] property is the rate used to calculate the amount of the charge or fee.
- the [bearer] property specifies which party/parties will bear the charges associated with the processing of the payment transaction.
- the [agent] property specifies the agent that takes the transaction charges or to which the transaction charges are due.
- the [tax] property provides details on the tax applied to charges. API: Amounts must always be set as positive values.
Champs (8)
Champs détaillés plus haut : responses.200.transactions.charges.record
ClearingSystemMemberIdentification
ISO20022: Information used to identify a member within a clearing system. API: to be used for some specific international credit transfers in order to identify the beneficiary bank
Champs (2)
Champs détaillés plus haut : responses.200.transactions.relatedParties.debtorAgent.clearingSystemMemberId
CodeAndIssuer
Specifies a code and the issuer of this code.
Champs (2)
Champs détaillés plus haut : responses.200.transactions.charges.record.code
ContactDetails
Indicates how to contact the party.
Champs (3)
Champs détaillés plus haut : responses.200.transactions.relatedParties.initiatingParty.contactDetails
CreditDebitIndicator
Accounting flow of the amount
Champs détaillés plus haut : responses.200.transactions.creditDebitIndicator
CreditorReferenceInformation
Reference information provided by the creditor to allow the identification of the underlying documents.
Champs (2)
Champs détaillés plus haut : responses.200.transactions.remittanceInformation.structured.creditorReferenceInformation
CurrencyCode
Specifies the currency of the amount or of the account. A code allocated to a currency by a Maintenance Agency under an international identification scheme, as described in the latest edition of the international standard ISO 4217 "Codes for the representation of currencies and funds".
DateAndPlaceOfBirth
Date and place of birth of a person. This information must be requested for detection of Fraud, Money-Laundering and Terrorism Financing in case of international payment.
Champs (3)
Champs détaillés plus haut : responses.200.transactions.relatedParties.initiatingParty.dateAndPlaceOfBirth
DocumentAdjustment
ISO20022: Specifies detailed information on the amount and reason of the adjustment. API: Amounts must always be set as positive values.
Champs (4)
Champs détaillés plus haut : responses.200.transactions.remittanceInformation.structured.referredDocumentAmount.adjustmentAmountAndReason
DocumentLineIdentification
Provides identification of the document line. the [type] property must be used for specifying the type of referred document type.
Champs (3)
Champs détaillés plus haut : responses.200.transactions.remittanceInformation.structured.referredDocumentInformation.lineDetails.identification
EndDate
The last applicable day of execution for a given period. If not given, the period is considered as endless.
EndToEndId
ISO20022: Unique identification assigned by the initiating party to unambiguously identify the transaction. This identification is passed on, unchanged, throughout the entire end-to-end chain.
ErrorDetail
detailed error description
Champs (9)
Champs détaillés plus haut : responses.400.details
ErrorModel
Generic error report structure
Champs (6)
Champs détaillés plus haut : responses.400
ExecutionRule
Execution date shifting rule for standing orders This data attribute defines the behaviour when recurring payment dates falls on a weekend or bank holiday. The payment is then executed either the "preceding" or "following" working day. ASPSP might reject the request due to the communicated value, if rules in Online-Banking are not supporting this execution rule.
Champs détaillés plus haut : responses.200.transactions.standingOrderCharacteristics.executionRule
FinancialInstitutionIdentification
ISO20022: Unique and unambiguous identification of a financial institution, as assigned under an internationally recognised or proprietary identification scheme.
Champs (5)
Champs détaillés plus haut : responses.200.transactions.relatedParties.debtorAgent
FrequencyCode
Frequency rule for standing orders. The following codes from the "EventFrequency7Code" of ISO 20022 are supported. However, each ASPSP might restrict these values into a subset if needed.
Champs détaillés plus haut : responses.200.transactions.standingOrderCharacteristics.frequency
GenericIdentification
ISO20022: Unique identification of an account, a person or an organisation, as assigned by an issuer. API: The ASPSP will document which account reference type it will support.
Champs (3)
Champs détaillés plus haut : responses.200.transactions.cardId
GenericLink
hypertext reference
Champs (2)
Champs détaillés plus haut : responses.200._links.self
HalTransactions
HYPERMEDIA structure used for returning the list of the transactions for a given account to the AISP
Champs (2)
Champs détaillés plus haut : responses.200
LeiIdentification
Legal Entity Identifier is a code allocated to a party as described in ISO 17442 "Financial Services - Legal Entity Identifier (LEI)".
LineDetail
Set of elements used to provide the content of the referred document line.
Champs (3)
Champs détaillés plus haut : responses.200.transactions.remittanceInformation.structured.referredDocumentInformation.lineDetails
PartyIdentification
API : Description of a Party which can be either a person or an organization.
Champs (7)
Champs détaillés plus haut : responses.200.transactions.relatedParties.initiatingParty
PercentageRate
Rate expressed as a percentage, ie, in hundredths, eg, 0.7 is 7/10 of a percent, and 7.0 is 7%.
Period
definition of a time period
Champs (2)
Champs détaillés plus haut : responses.200.transactions.bookingPeriod
PhoneNumber
The collection of information which identifies a specific phone or FAX number as defined by telecom services. It consists of a "+" followed by the country code (from 1 to 3 characters) then a "-" and finally, any combination of numbers, "(", ")", "+" and "-" (up to 30 characters).
PostalAddress
ISO20022: Information that locates and identifies a specific address, as defined by postal services.
Champs (11)
Champs détaillés plus haut : responses.200.transactions.relatedParties.initiatingParty.postalAddress
ReferredDocumentInformation
Provides the identification and the content of the referred document.
Champs (4)
Champs détaillés plus haut : responses.200.transactions.remittanceInformation.structured.referredDocumentInformation
ReferredDocumentInformations
Provides the identification and the content of the referred documents.
Éléments : ReferredDocumentInformation
RelatedParties
information about the parties that are related to the transaction
Champs (9)
Champs détaillés plus haut : responses.200.transactions.relatedParties
RemittanceAmount
ISO20022: Provides details on the amounts of the document line. API: Amounts must always be set as positive values.
| Property | Description |
|---|---|
| duePayableAmount | Amount specified is the exact amount due and payable to the creditor. |
| discountAppliedAmount | Amount of discount to be applied to the amount due and payable to the creditor. |
| creditNoteAmount | Amount of a credit note. |
| taxAmount | Amount of the tax. |
| adjustmentAmountAndReason | Specifies detailed information on the amount and reason of the adjustment. |
| remittedAmount | Amount of money remitted. |
Champs (6)
Champs détaillés plus haut : responses.200.transactions.remittanceInformation.structured.referredDocumentAmount
RemittanceInformation
ISO20022: Information supplied to enable the matching of an entry with the items that the transfer is intended to settle, such as commercial invoices in an accounts' receivable system. API:
- Only one occurrence of the unstructured information is allowed.
- Only one occurrence of the structured information is allowed.
- Structured and unstructured information can coexist.
Champs (2)
Champs détaillés plus haut : responses.200.transactions.remittanceInformation
ResourceId
API: Identifier assigned by the ASPSP for further use of the created resource through API calls. The API client cannot set or modify the value of this field. Since this value can be exchanged between the server and the client as an URL element or for support information, it must not contain sensitive value such as personal or business data. However it is the duty of each ASPSP to perform its own risk analysis on this topic.
StandingOrderCharacteristics
Specifies the characteristics of a standing order.
Champs (4)
Champs détaillés plus haut : responses.200.transactions.standingOrderCharacteristics
StartDate
The first applicable day of execution for a given period.
StructuredRemittanceInformation
Information supplied to enable the matching/reconciliation of an entry with the items that the payment is intended to settle, such as commercial invoices in an accounts' receivable system, in a structured form.
Champs (6)
Champs détaillés plus haut : responses.200.transactions.remittanceInformation.structured
TaxAmount
ISO20022: Set of elements used to provide information on the amount of the tax record. API: Amounts must always be set as positive values.
| Property | Description |
|---|---|
| rate | Rate used to calculate the tax. |
| taxableBaseAmount | Amount of money on which the tax is based. |
| totalAmount | Total amount that is the result of the calculation of the tax for the record. |
| details | Set of elements used to provide details on the tax period and amount. |
Champs (4)
Champs détaillés plus haut : responses.200.transactions.remittanceInformation.structured.taxRemittance.record.taxAmount
TaxCharges
ISO20022: Provides details on the tax applied to charges.
- The [rate] property is the rate used to calculate the tax.
- the [amount] property is the amount of money resulting from the calculation of the tax. API: Amounts must always be set as positive values.
Champs (3)
Champs détaillés plus haut : responses.200.transactions.charges.record.tax
TaxInformation
ISO20022: Details about tax paid, or to be paid, to the government in accordance with the law, including pre-defined parameters such as thresholds and type of account. API: Amounts must always be set as positive values. The [totalTaxableBaseAmount] property indicates the total amount of money on which the tax is based. The [totalTaxAmount] property indicates the total amount of money as result of the calculation of the tax.
Champs (11)
Champs détaillés plus haut : responses.200.transactions.remittanceInformation.structured.taxRemittance
TaxParty
Set of elements used to identify a party of the transaction to which the tax applies. The [authorization] property aims to provide the details of the authorised tax paying party.
Champs (4)
Champs détaillés plus haut : responses.200.transactions.remittanceInformation.structured.taxRemittance.creditor
TaxPeriod
Set of elements used to provide details on the period of time related to the tax payment. The [type] property aims to identify the period related to the tax payment.
Champs (4)
Champs détaillés plus haut : responses.200.transactions.remittanceInformation.structured.taxRemittance.record.period
TaxRecord
Record of tax details the [period] property embbeds the set of elements used to provide details on the period of time related to the tax payment. the [amount] property embbeds the set of elements used to provide information on the amount of the tax record.
Champs (9)
Champs détaillés plus haut : responses.200.transactions.remittanceInformation.structured.taxRemittance.record
TaxRecordDetails
ISO20022: Elements used to provide details on the tax period and amount. API: Amounts must always be set as positive values.
| Property | Description |
|---|---|
| period | Set of elements used to provide details on the period of time related to the tax payment. |
| amount | Underlying tax amount related to the specified period. |
Champs (2)
- periodTaxPeriod
Schéma : TaxPeriod
- amountAmountTypeobligatoire
Schéma : AmountType
TaxRecordPeriodCode
Identification of the period related to the tax payment.
Champs détaillés plus haut : responses.200.transactions.remittanceInformation.structured.taxRemittance.record.period.type
TitleAndName
Title and Name of the party or the party's authorised reprensentative.
Champs (2)
Champs détaillés plus haut : responses.200.transactions.remittanceInformation.structured.taxRemittance.creditor.authorisation
TransactionLinks
links that can be used for further retrieving details on a given transaction
| Link | Description |
|---|---|
| details | link to the details of the transaction |
Champs (1)
Champs détaillés plus haut : responses.200.transactions._links
TransactionResource
ISO20022: Structure of a transaction.
- the [charges] property provides information on the charges, pre-advised or included in the entry amount.
- the [relatedParties] property specifies either the debtor or the creditor counterpart information API:
- Amounts must always be set as positive values in complement with the Credit/Debit indicator.
- At least expectedBookingDate or bookingDate must be provided"
Champs (21)
Champs détaillés plus haut : responses.200.transactions
TransactionsLinks
links that can be used for further navigation when browsing transactions Information at one account level
| Link | Description |
|---|---|
| self | link to the transactions of a given account |
| parent-list | link to the list of all available accounts |
| owners | link to the owners identities for a given account |
| balances | link to the balances of a given account |
| overdrafts | link to the lists of overdrafts of a given account |
| first | link to the first page of the transactions result |
| last | link to the last page of the transactions result |
| next | link to the next page of the transactions result |
| prev | link to the previous page of the transactions result |
Champs (9)
Champs détaillés plus haut : responses.200._links
TransactionStatus
Type of Transaction
Champs détaillés plus haut : responses.200.transactions.status
TypedAmount
ISO20022: Typed Amount API: Amounts must always be set as positive values.
Champs (2)
Champs détaillés plus haut : responses.200.transactions.remittanceInformation.structured.referredDocumentAmount.discountAppliedAmount